Bug 117262 - [net/freeradius] rc.d script bug
Summary: [net/freeradius] rc.d script bug
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-17 03:10 UTC by Craig Leres
Modified: 2007-12-06 10:10 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2007-10-17 03:10:03 UTC
	If you try to run radiusd with a configuration file an a
	non-default location, the rc.d script complains that the
	default config file does not exist.

Fix: See attached patch; Invoke load_rc_config prior to setting
	the shell variables.

------- =_aaaaaaaaaa0
Content-Type: text/plain; name="patch.txt"; charset="us-ascii"
Content-ID: <62510.1192585948.2@fun.ee.lbl.gov>



------- =_aaaaaaaaaa0----OVV9HjKkYm7CSrPOUp8smWf0WxtWuWJ90IfiCv2fx5Kjep7S
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- radiusd.sh	Sun Oct 14 16:53:52 2007
+++ /usr/local/etc/rc.d/radiusd	Tue Oct 16 16:12:53 2007
@@ -15,6 +15,8 @@
 name=radiusd
 rcvar=`set_rcvar`
 
+load_rc_config $name
+
 command=/usr/local/sbin/radiusd
 radiusd_config=${radiusd_config:-"/usr/local/etc/raddb/radiusd.conf"}
 required_files=${radiusd_config}
@@ -22,5 +24,4 @@
 
 radiusd_enable=${radiusd_enable-"NO"}
 
-load_rc_config $name
 run_rc_command "$1"
How-To-Repeat: 
	# grep radius /etc/rc.conf
	radiusd_enable="YES"
	radiusd_config="/usr/operator/raddb/radiusd.conf"
	radiusd_flags="-d /usr/operator/raddb"
	# /usr/local/etc/rc.d/radiusd start
	/usr/local/etc/rc.d/radiusd: WARNING: /usr/local/etc/raddb/radiusd.conf is not readable.
	#

	[Note that radiusd is not running]
Comment 1 Edwin Groothuis freebsd_committer 2007-10-17 03:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Marcelo Araujo freebsd_committer 2007-12-05 13:20:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 3 David Wood 2007-12-05 19:17:35 UTC
I have fixed this problem in ports/118425


David
(maintainer)
Comment 4 Marcelo Araujo freebsd_committer 2007-12-05 19:30:19 UTC
State Changed
From-To: feedback->closed

Fixed in ports/118425.
Comment 5 dfilter freebsd_committer 2007-12-06 10:01:08 UTC
araujo      2007-12-06 10:01:03 UTC

  FreeBSD ports repository

  Modified files:
    net/freeradius       Makefile 
    net/freeradius/files radiusd.sh.in 
  Added files:
    net/freeradius/files patch-radiusd-no-pie 
  Log:
  - Added patch to remove -pie for radiusd. [1]
  - Fixed a build failure on RELENG_7 AMD64.
  - Chase heimdal shared version library bump. [2]
  - Reworked RC script. [3]
  - Mark as unbroken on AMD64.
  - Bump PORTREVISION.
  
  PR:             ports/118425, ports/117262 [3]
  Reported by:    Sean McNeil <sean@mcneil.com> [1], Gioto Alves Lourenco <gioto@pop-ro.rnp.br> [2]
  Submitted by:   Craig Leres <leres@ee.lbl.gov> [3], David Wood <david@wood2.org.uk> (maintainer)
  Approved by:    portmgr (marcus), stas (mentor, implicit)
  
  Revision  Changes    Path
  1.63      +6 -12     ports/net/freeradius/Makefile
  1.1       +11 -0     ports/net/freeradius/files/patch-radiusd-no-pie (new)
  1.3       +9 -3      ports/net/freeradius/files/radiusd.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"